<?
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';
$title="Фотоальбомы";
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

$album = check(intval($_GET['album']));

if($album){
echo "<b>Изменить альбом</b><br/>";
$act = check($_POST['act']);
if(empty($act)){
$alb =@$db->sql_fetchrow($db->sql_query("SELECT * FROM `foto_albom` WHERE `id`='".$album."' AND `user_id`='".$user['id']."';"));
if(!empty($alb['id'])){
if ($ver!='wml')echo '<form enctype="multipart/form-data" action="?album='.$album.'&amp;'.SID.'" method="post">';
echo 'Название:<br/>
<input name="name" maxlength="50" value="'.$alb['name'].'" type="text"/><br/>';
echo 'Описание:<br/>
<input name="kom" maxlength="256" value="'.$alb['kom'].'" type="text"/><br/>';
echo 'Кто может просматривать альбом:<br />
<select name="pp_al">';
if($alb['pp_al'] == 0)echo '<option value="0">Все пользователи</option>';
else if($alb['pp_al'] == 1)echo '<option value="1">Только друзья</option>';
//else if($alb['pp_al'] == 2)echo '<option value="2">Только я</option>';
echo '<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
</select><br/>';

echo 'Кто может комментировать фотографии:<br />
<select name="pp_al_k">';
if($alb['pp_al_k'] == 0)echo '<option value="0">Все пользователи</option>';
else if($alb['pp_al_k'] == 1)echo '<option value="1">Только друзья</option>';
else if($alb['pp_al_k'] == 2)echo '<option value="2">Только я</option>';
echo '<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Только я</option>
</select><br/><br />';

if ($ver=='wml'){
echo '<anchor>Изменить<go href="?album='.$album.'&amp;'.SID.'" method="post">
<postfield name="name" value="$(name)"/>
<postfield name="kom" value="$(kom)"/>
<postfield name="pp_al" value="$(pp_al)"/>
<postfield name="pp_al_k" value="$(pp_al_k)"/>
<postfield name="act" value="act"/>
</go></anchor><br/><br />';
}else{
echo '<input type="hidden" name="act" value="abb"/>
<input class="ibutton" type="submit" name="submit" value="Изменить"/>
</form><br />';
}

}else {echo 'Этот альбом не Ваш!<br />';}
echo '<a href="'.H.'my_albums">Мои альбомы</a><br/>';

}else{
$name = check($_POST['name']);
$kom = check($_POST['kom']);
$pp_al = check(intval($_POST['pp_al']));
$pp_al_k = check(intval($_POST['pp_al_k']));

if(empty($name)) $error=$error.'<b>Вы неуказали Названия!</b><br/>';

$proff_nik=@$db->sql_query("SELECT * FROM `foto_albom` WHERE `name`='".$name."' AND `user_id`='".$user['id']."' and id != '".$album."';");
if(@$db->sql_numrows($proff_nik) !=0) { $error=$error.'<b>Такой альбом у Вас уже есть!</b><br/>';}
if(empty($error))
{

@$db->sql_query("update `foto_albom` set name='".$name."', kom='".$kom."', time_izm='".$time."', pp_al='".$pp_al."', pp_al_k='".$pp_al_k."' WHERE `id`='".$album."' AND `user_id`='".$user['id']."';");

echo "<b> Ваш альбом успешно изменён!</b><br />";
header ('Location: '.H.'my_albums?'.SID);  exit;
}else{echo "$error";}

echo "<a href=\"?album=$album\">Назад</a><br/>";
echo '<a href="'.H.'my_albums">Мои альбомы</a><br/>';
}

}else{

echo '<b>Добаление нового альбома</b><br/><dl></dl>';

$act = check($_POST['act']);
if(empty($act)){

if ($ver!='wml')echo '<form enctype="multipart/form-data" action="?'.SID.'" method="post">';
echo 'Название:<br/>
<input name="name" maxlength="50" type="text"/><br/>';
echo 'Описание:<br/>
<input name="kom" maxlength="256" type="text"/><br/>';
echo 'Кто может просматривать альбом:<br />
<select name="pp_al">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
</select><br/>';
//<option value="2">Только я</option>

echo 'Кто может комментировать фотографии:<br />
<select name="pp_al_k">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Только я</option>
</select><br/><br />';

if ($ver=='wml'){
echo '<anchor>Создать<go href="?'.SID.'" method="post">
<postfield name="name" value="$(name)"/>
<postfield name="kom" value="$(kom)"/>
<postfield name="pp_al" value="$(pp_al)"/>
<postfield name="pp_al_k" value="$(pp_al_k)"/>
<postfield name="act" value="act"/>
</go></anchor><br/><br />';
}else{
echo '<input type="hidden" name="act" value="abb"/>
<input class="ibutton" type="submit" name="submit" value="Создать"/>
</form><br />';
}
echo '<a href="'.H.'my_albums">Мои альбомы</a><br/>';

}else{
$name = check($_POST['name']);
$kom = check($_POST['kom']);
$pp_al = check(intval($_POST['pp_al']));
$pp_al_k = check(intval($_POST['pp_al_k']));


if(empty($name)) $error=$error.'<b>Вы неуказали Названия!</b><br/>';
if(empty($error))
{
$db->sql_query("INSERT INTO `foto_albom` (name,user_id,kom,level,pp_al,pp_al_k,time_s,time_izm) values('$name','$user[id]','$kom','$user[level]','$pp_al','$pp_al_k','$time','$time')");
header ('Location: '.H.'my_albums?'.SID);  exit;
echo "<b>Поздравляем! Ваш альбом успешно создан!</b><br />";

}else{
echo "$error ";
}

}

}


echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>